Subject: Re: Fixing many broken resource forks quickly

From: Matthew Keller <[email-masked]>
Date: 12 Apr 2001 08:46:42 -0400

One could say that *adding* resource forks is actually breaking
    them, not fixing them. ;)

    But that aside, you could upload them to a Netatalk server with a
    properly configured AppleVolumes.system, which will magically
    DISPLAY the files as if they had the proper type/creator
    information. (it doesn't actually CHANGE the t/c, AFAIK).

On 12 Apr 2001 06:22:03 -0400, Nathaniel Pendleton wrote:
> I have a bunch of broken resource forks
> from Mac files (e.g. hqx, sit, bin) downloaded on a PC
> and PC/Mac interchangeable files (mp3, jpg, gif, doc).
> 
> How do I fix them?
> 
> I can edit each one with res edit, but what a drag.
> Is there a tool for fixing a bunch of files at once? A free tool?
> 
> If not, is there a software developer that could fix this?
> 1. Search for all files with type "TEXT" creator "LMAN"
> and suggest fixing them.
> 2. Search for files with PC dot3 endings and no fork and fixing them.
> pdf, jpg, mp3, gif, tif, doc, hqx, sit, and bin
> 
> -Nathaniel
> 

-- 

Matthew Keller
Enterprise System Analyst
Computing & Technology Services
Information Services Division
State University of NY at Potsdam

http://mattwork.potsdam.edu/